Real-Time Measurement and Control

cancel
Showing results for 
Search instead for 
Did you mean: 
Reply

How to select the cRIO firmware version

Solved!
Go to solution

Hi,

 

I'm struggling with a question regarding cRIO firmwares.

 

How do I select the proper firmware to be installed on the cRIO?

Do I always need to install the latest?

Or could that have an incompatibility with older LV versions?

 

Is there any resource describing this? If so, I have trouble locating it.

Regards,
André (CLA, CLED)
0 Kudos
Message 1 of 3
(115 Views)
Solution
Accepted by topic author andre.buurman@carya
04-23-2019 04:24 AM

Hello André,

 

The little information available about picking a firmware version is indeed a bit hidden: "It is recommended that you upgrade the firmware of your target when you upgrade your driver version" (quoted from Upgrading Firmware on my NI Linux Real-Time Device).

 

From my experience it is safe to always pick the latest firmware, as they are meant to be fully backwards-compatible.

 

Please note that downgrading the firmware is also possible, it is basically the same process as upgrading, except for picking an older version of the firmware (of course) and confirming a dialog that warns about the downgrade. In case you want to be able to roll back quickly, make sure you have the older version of the firmware already on your PC. cRIO firmwares are copied to your computer when installing NI CompactRIO Driver.

 

Please allow me one comment on


How do I select the proper firmware to be installed on the cRIO?


I am sure this question was meant regarding the firmware version number, however I want to mention for everyone reading along that NI's firmwares are device-specific. If you e.g. want to update your cRIO-9038, then you need to pick a cRIO-9038 firmware. Some old firmwares do not check if the new firmware is compatible, so picking an incompatible firmware can brick your cRIO in some cases. NI support often can help.

Find a list about which firmware is stored where on your computer in the Additional Information section here: Upgrading Firmware on my NI Linux Real-Time Device.

 

Regarding incompatibilities:

Firmware upgrades are mainly improving/including compatibility with modules, new LabVIEW versions, modifying hardware configuration to meet new regulations (like WiFi power levels). NI MAX or LabVIEW will tell you in case a firmware upgrade is needed to meet compatibility. I could not find any information about incompatibilities to older LabVIEW versions after an upgrade. This is of course no guarantee that there is no incompatibility between any cRIO and very old LabVIEW versions (I am thinking of e.g. 8.x and earlier).


Ingo – LabVIEW 2013, 2014, 2015, 2016, 2017, 2018, NXG 2.0, 2.1, 3.0
CLADMSD
Message 2 of 3
(82 Views)
Highlighted

Hello Ingo,

 

Thanks for the elaborate answer. This is was the explanation I was looking for.

 

Regards,
André (CLA, CLED)
Message 3 of 3
(78 Views)